org.apache.solr.highlight

## Class WeightedFragListBuilder

- java.lang.Object
- - org.apache.solr.highlight.HighlightingPluginBase
  - - org.apache.solr.highlight.WeightedFragListBuilder

- All Implemented Interfaces:
    SolrInfoMBean, SolrFragListBuilder, NamedListInitializedPlugin

      public class WeightedFragListBuilder
      extends HighlightingPluginBase
      implements SolrFragListBuilder

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.solr.core.SolrInfoMBean

      `SolrInfoMBean.Category`

  - ### Field Summary

    - ### Fields inherited from class org.apache.solr.highlight.HighlightingPluginBase

      `defaults, numRequests`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WeightedFragListBuilder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDescription()` Simple one or two line description
    `FragListBuilder` | `getFragListBuilder(SolrParams params)` Return a FragListBuilder.

    - ### Methods inherited from class org.apache.solr.highlight.HighlightingPluginBase

      `getCategory, getDocs, getName, getSource, getStatistics, getVersion, init`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.solr.highlight.SolrFragListBuilder

      `init`

    - ### Methods inherited from interface org.apache.solr.core.SolrInfoMBean

      `getCategory, getDocs, getName, getSource, getStatistics, getVersion`

- - ### Constructor Detail

    - #### WeightedFragListBuilder

          public WeightedFragListBuilder()

  - ### Method Detail

    - #### getFragListBuilder

          public FragListBuilder getFragListBuilder(SolrParams params)

      Description copied from interface: `SolrFragListBuilder`
      Return a FragListBuilder.
      Specified by:
        `getFragListBuilder` in interface `SolrFragListBuilder`
      Parameters:
        `params` - The params controlling Highlighting
      Returns:
        An appropriate FragListBuilder.

    - #### getDescription

          public String getDescription()

      Description copied from interface: `SolrInfoMBean`
      Simple one or two line description
      Specified by:
        `getDescription` in interface `SolrInfoMBean`
      Specified by:
        `getDescription` in class `HighlightingPluginBase`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.